//
// Copyright 2011 by Craig Stuart Sapp, All Rights Reserved.
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Mon Jun  6 14:21:45 PDT 2011
// Last Modified: Tue Jun  7 13:02:16 PDT 2011
// Filename:      ...sig/include/SigInfo/XmlItem.h
// Web Address:   http://sig.sapp.org/include/sigInfo/XmlItem.h
// Syntax:        C++ 
//
// Description:   A class that stores a list of XML text fragments.
//

#ifndef _XMLITEM_H_INCLUDED
#define _XMLITEM_H_INCLUDED

#include "Array.h"
#include "SigString.h"

class XmlItem {
   public:

                 XmlItem     (int serialnum, Array<char>& item);
                 XmlItem     (void)  { serial = -1; string.setSize(0); }
                ~XmlItem     (void)  { serial = -1; string.setSize(0); }

       int       getSerial   (void) const { return serial; }
       int       getSize     (void)  { return string.getSize(); }
       char*     getBase     (void)  { return string.getBase(); }
       char*     cstr        (void)  { return string.getBase(); }
       char*     c_str       (void)  { return string.getBase(); }
       char*     cstring     (void)  { return string.getBase(); }

   protected:
      SigString string;
      int       serial;

};



#endif  /* _XMLITEM_H_INCLUDED */


// md5sum: 051e558c8e271327a795fcad656d760b XmlItem.h [20050403]
